GoPxL SDK

- Home
- Files
- Namespace

Public Member Functions | Friends
GoPxLSdk::GoRestClient Class Reference

## Public Member Functions
GoTransaction | Call (const std::string &uri, const GoJson &content={}, const GoJson &args={})
| Calls a callable resource. More...
void | Connect (kIpAddress address, k32u port=0)
| Connects to a REST endpoint at the provided IP address and port. More...
GoTransaction | Create (const std::string &uri, const GoJson &content={}, const GoJson &args={})
| Creates a resource with the provided content. More...
GoTransaction | Delete (const std::string &uri, const GoJson &content={}, const GoJson &args={})
| Deletes a resource. More...
void | Disconnect ()
| Disconnects from a REST endpoint. More...
| GoRestClient ()
| Constructs GoRestClient. More...
bool | IsConnected () const
| Checks if the REST Client is connected or not. More...
GoTransaction | Read (const std::string &uri, const GoJson &content={}, const GoJson &args={})
| Reads a resource and returns its data. More...
void | SetStreamHandler (const GoStreamHandler &callback)
| Sets the callback handler to receive subscription notifications. More...
void | SetSubHandler (const GoNotificationHandler &callback)
| Sets the callback handler to receive subscription notifications. More...
GoTransaction | StartStream (const std::string &uri, const GoJson &content={}, const GoJson &args={})
| Start streaming a streamable resource. More...
GoTransaction | StopStream (const std::string &uri, const GoJson &content={}, const GoJson &args={})
| Stops streaming a streamable resource. More...
GoTransaction | Sub (const std::string &uri, const GoJson &content={}, const GoJson &args={})
| Subscribes for notifications on an observable resource. More...
GoTransaction | UnSub (const std::string &uri, const GoJson &content={}, const GoJson &args={})
| Unsubscribes for notifications on an observable resource. More...
GoTransaction | Update (const std::string &uri, const GoJson &content={}, const GoJson &args={})
| Updates a resource with the provided content. More...
| ~GoRestClient ()=default

## Friends
class | ::GoRestClientTests

The documentation for this class was generated from the following file:

- GoRestClient.h